import json
import os


def load_json(json_file):
    """Load a JSON file

    """
    if os.path.exists(json_file):
        try:
            return json.load(open(json_file))
        except IOError:
            raise Exception('Failed to read JSON file: %s' % json_file)
    return None