
function addHttp(url) {
	if (url && !/https?:\/\//i.test(url)) {
		url = 'http://' + url;
	}
	return url;
}

$(function() {
	$('#credentialButton').click(function () {
		var validationUrl = addHttp($('#server').val()) + '/flow/validate';
		var params = {
			username: $('#username').val(),
			password: $('#password').val(),
			encrypt: '0'
		};

		$.post(validationUrl, params, function(result) {
			if (result == 'Valid username and password') {
				$('#validationResponse').text(result + '.');
			} else {
				$('#validationResponse').text(result);
			}
		}).fail(function() {
			$('#validationResponse').text('Unable to reach Flow server.');
		});
	});
}); 
